<html>

<head>
  <title>Select film</title>

  <style>
    body {
      background-color: #fff;
      font-family: sans-serif;
    }
    h1 {
      font-weight: bold;
      font-size: 300%;
    }
    h2 {
      font-weight: normal;
      font-size: 200%;
    }

  input[type=button] {
    background-color: #A01010; /* Red */
    border: none;
    border-radius: 8px;
    color: white;
    padding: 14px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin:10px 10px 10px 10px;
  }
  </style>

  <script src="qaws.js"></script>

</head>

<body>

<!-- status -->
<div align='right' id='status'> <font color='red'>NOT CONNECTED</font> </div>

<h1 align="center"> <span id='file_title'>Select film</span> </h1>
<div>
<div align='center'> 
  <h2>Dolittle</h2>
  <img height=300 id='poster1' src="img/dolittle_poster.jpg" alt="No image"/> 
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 18:30</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_dolittle_1">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_dolittle_1"> seats left</span>
  </a>
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 21:30</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_dolittle_2">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_dolittle_2"> seats left</span>
  </a>
</div>

<div align='center'> 
  <h2>Sonic the Hedgehog</h2>
  <img height=300 id='poster2' src="img/sonic_image.jpg" alt="No image"/> 
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 18:00</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_sonic_1">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_sonic_1"> seats left</span>
  </a>
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 21</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_sonic_2">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_sonic_2"> seats left</span>
  </a>
</div>

<div align='center'> 
  <h2>Mulan</h2>
  <img height=300 id='poster3' src="img/mulan_img.jpg" alt="No image"/>
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 18:15</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_mulan_1">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_mulan_1"> seats left</span>
  </a>
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 21</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_mulan_2">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_mulan_2"> seats left</span> 
  </a>
</div>
<div align="center">
  <a href="menu.html">
    <img  class='icon' id='back' src="img/back.png" height="100" />
  </a>
</div>
</div>
<div align='center' id='buttons'> </div>

<script>
    var ip=window.location.hostname;
    if (ip=='')
        ip='127.0.0.1';
    var port = 9100;
    wsrobot_init(ip,port);
</script>

<script>
  function loadJSON(path,callback){
    var xobj = new XMLHttpRequest();
          xobj.overrideMimeType("application/json");
      xobj.open('GET', path, true); // Replace 'my_data' with the path to your file
      xobj.onreadystatechange = function () {
            if (xobj.readyState == 4 && xobj.status == "200") {
              // Required use of an anonymous callback as .open will NOT return a value but simply returns undefined in asynchronous mode
              callback(xobj.responseText);
            }
      };
      xobj.send(null);  
  }
  
  function JSONloaded(str){
    var seats = JSON.parse(str);
    console.log(seats[0])
  }

  loadJSON('seats.json',JSONloaded)

</script>

</body>

</html>
